commit f0e8940cec12c9b81a61918fd7d849887dfa2a51
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-05

    Added Arabic translation. Updated Russian, Greek and Danish
    translation. Thanks to all translators.

commit 089563cb2adfdd8f1a8afeea21178a5cd9c9a028
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-05

    Updated po templates.

commit 6363da9cea14845f01f6b401f29b69607825c780
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-05

    Updated NEWS for 1.10.7 release.

commit bc798ae4e62594fb30cb68fd0e1a7334f4e12ad0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-05
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-05

    Use Exception::getErrorCode() in main() instead of error_code::UNKNOWN_ERROR
    unconditionally.

commit f5efdd941325357fc0f8cd0ca915b076b3b178fe
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Updated doc for --on-download-stop.

commit 0271ec03523101043aafbf0da240e9ea5e740600
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Updated usage of --on-download-* options.

commit 934c185e7910b68b42ed4533bf60a262dbe62313
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Updated Event Hook.

commit 4747c3a2da553b74f86805601621ed069dc2643f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Added Hook Event subsection and described about COMMAND specified in
    --on-download-* options. Made all --on-download-* option refer this
    subsection.

commit c1a130fdf5e1bddd2ebf4931ac57f75a9593bd13
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Updated doc for --save-session.

commit 044e6df7acc3177b72a5fb9b3a3a2687dfbb6c04
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Updated man page for --on-download-start. Mentioned about 2 new
    arguments.

commit adcfffeccb812596ab231a732bbbb7b20a27a1e4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Fixed arithmetic exception when completedLength is 0.

commit f3e89651a85baa518b4e0d61828eec082f3d1040
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Return true if completedLength is 0.

commit c5ef9dadbd3d3282ef2f25bcacd5161564109103
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Pass the number of requested files as 2nd argument to the command specified in
    --on-download-* hook.
    
    As a consequence, first filename is passed as 3rd argument.

commit 0cdfc3d104cf02a310e8a8ed2f3e6f4d397a9e21
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Call RequestGroupMan::removeStoppedGroup() in
    DownloadEngine::onEndOfRun() to process RequestGroup objects currently
    in-progress.
    
    With this change, --on-download-stop/error/complete hooks are properly
    called for in-progress downloads when Ctrl-C is pressed.

commit 567b4249079051e0c61e9a587f020b993aff829c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Pass first filename as 2nd argument to command specified by
    --on-download-* option.

commit c03ab007a3adb1718a56fc2db2dcf5aa0975091f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Throw exception when unrecognized URI, bad Metalink or bad .torrent
    file are given in command-line and exits with status non-zero.

commit c81dcd80ea1ea7d093039a14d82a81142ae2554d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Removed 3rd argument auxUris of createBtMagnetRequestGroup().

commit f9a66973525c60468de3ff30b976f5fcb1084828
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-04
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-04

    Fixed compile error without ssl library.

commit 8f39257fd53a068ce6c4e6c2efeffea0bd27fb90
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-03

    Added aria2c bash_completion.
    
    make_bash_completion.py generates aria2c bash_completion using `aria2c
    --help=#all'.

commit 0a2b1660fa282da899cba35f7105b9d424f915ca
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-03

    Removed DownloadContext::dir_. Use PREF_DIR value instead.

commit 479f71efaffb8cbed3c4c22ad6e7b02869e8784f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-03
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-03

    Bump up version number to 1.10.7

commit 7a3faa625b5cec443b37c427277182b5ee545b6c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-02

    Check a2x, asciidoc presence and only build documents when they are
    available.

commit 816be74e617761420fdf8dea1fbcd8af5528c615
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-02

    Generate man pages, its HTML version and README.html by make.
    
    Removed those generated files and scripts to generate them from repository. Added aria2c.1.asciidoc
    to dist_doc_DATA.

commit 3ee6784b7680ea941ec4ddd727b481d44d093953
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-02
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-02

    Made `make distcheck' pass.
    
    We added 2 macros A2_TEST_DIR and A2_TEST_OUT_DIR to pass tests in
    `make distcheck`.  A2_TEST_DIR refers to test directory.  All output
    files by unit tests are now created under A2_TEST_OUT_DIR directory.

commit 7ac1f17d56b9182ad3dfc262ec363e906943e64b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-01

    Added missing error_code.h to Makefile.am

commit 85d0a9b7404f1bb33ac5990afb7a25509d7cc8bc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-01

    Updated EXIT STATUS section.

commit f0f4f8f703b8c927fe8008daecb2d0547d486973
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-12-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-12-01

    Added more error code values.
    
    I have not set error code for all exception invocation.
    In this change, I set error code where error likely occurs.

commit 6bc215fcec22d8bdf760c78cc25cb8798266c8a5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-29

    Add groupToAdd to requestGroups_ even if exception is thrown in
    createInitialCommand().
    
    This makes groupToAdd be processed by removeStoppedGroup() and
    --on-download-error hook is properly triggered.  Now
    --on-download-start is also triggered for groupToAdd even if exception
    is thrown in createInitialCommand().

commit 378ba26ed31d4564594150a863511b625c3366de
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-29

    Updated doc

commit a0139e3e0821943adbfe52ad618598d96a9465e0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-29

    Call RequestGroup::setLastError in
    PeerInteractionCommand::onFailure().
    
    Added const Exception& argument to virtual
    AbstractCommand::onFailure().

commit d5b6ec8621a5eceada56b58837527622672c8b36
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-29

    Call RequestGroup::setLastError when exception is caught while
    creating initial commands.

commit f5a9448cf15be0dc8e4bff3a6fecb18fc6c1edef
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-29

    Moved setLastError call before if(req_) {...

commit ce6eb592dab38eb802b1da5ebdc440bd40deec0d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Added Exception ctor which takes both errNum and errorCode.
    
    Also added DlAbortEx ctor which has same signature with new Exception
    dtor.  Added DL_ABORT_EX3 macro to use added ctor.

commit e8f3592314f60ef26e68f7923541e97ca3c58076
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Removed include of cerrno from Exception.h

commit 476ba70a9f64f88396f70bdd7636e0b86bbeb18e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Moved errorCode_ from RecoverableException to Exception and added errorCode to
    stackTrace.
    
    Also changed errno to errNum in stackTrace.

commit 45fde1adaf35fd02ef60197308db96f256791337
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Cleaned up Exception constructors.
    
    Removed Exception(const char*, int, const Exception&) ctor.  Also
    removed FatalException() copy ctor.

commit 50122f0ab35e16446e652bb62efeed7f4b1da8c1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Renamed Exception::errno_ as Exception::errNum_.

commit ecbc05012ce252c03a5685ee4f0fd2b93b1fda25
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Added additional error_code::Values(9 through 14).

commit d316a00adeec3dd362d58a1456231a6673226378
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Replaced RequestGroup::lastUriResult_ with
    RequestGroup::lastErrorCode_.

commit 947967fc631f885dae3726a80de3a85084fbca81
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Renamed DownloadErrorCode.h as error_code.h. Renamed
    downloaderrorcode::Value as error_code::Value.

commit 13e3cf2573a6d3053674563c26cbbeac8ae42f36
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Updated doc.

commit 98a7f3a378f8212ca0a40b80a52a5dff5f3b8499
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Updated doc.

commit c4e853ed15e5c7f890379ad2cda8d7b98fa34a12
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Removed auto generated files in po.

commit e2122d82c91e90c89936d85c92bcacff0d74a71c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Added empty ChangeLog.
    
    Without ChangeLog, autoreconf complains.

commit 68726e0838b6bb32f9fbacc5ab6b8a0ea040bde6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Moved ChangeLog to ChangeLog.old and added notice that we no longer
    update this fie.

commit f4e008f8865e51a5cd61f02f5c991cc53f292077
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-28

    Moved include of gettext.h to the outside of #ifdef ENABLE_NLS since
    gettext.h has it inside itself.

commit ce41bbbb2eedbaab409a225bfd06ede6a6db1b73
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Removed intl

commit 5aae203d3284f35b488a69b5fd5893333633d3b1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Removed config.h.in

commit e39dd961715b78843dfefd7bd83df237edd199d0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Removed autogenerated files by automake/autoconf.
    
    To generate these files, run 'autoreconf -i'.
    
    Since libgnutls.m4 is no longer distributed, we removed
    AM_PATH_LIBGNUTLS from configure.ac.

commit ec95a9d424422c8650dca9fe863af191db62afc3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Added README because automake requires it. Added README.asciidoc to
    Makefile.am.

commit c6c3ee4daa82164bbfd57204f3f8a604ade799e7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Updated doc

commit 200f1079b0cc742b782ea8aadff0133b246530df
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Updated according to the name change of README.asciidoc.

commit 44eb350642fc537dec216890ab3b7aee133ddc70
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-27
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-27

    Renamed README as README.asciidoc to be rendered as formatted text at
    Github page.

commit ba026adb5e3f99aa02ad4c1776be7c39ba223a0b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-26

    2010-11-26  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	For MINGW32 build, percent-encode non-ASCII characters in
    	filename.
    	* src/util.cc

commit 721f53ea97e7125038bd2a4bc55b2cef28300cfd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-26
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-26

    2010-11-26  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Include last '/' to directory name to create. This will avoid to
    	create directory 'C:' in Windows.
    	* src/File.cc

commit 0455cde2a83286339aa40c943ce6a7987298e5f5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-25

    2010-11-25  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Removed unused FileEntry::setupDir()
    	* src/FileEntry.cc
    	* src/FileEntry.h
    	* test/FileEntryTest.cc

commit 94c4a71d639c0e45289619a73a858ff9205b645d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-25

    2010-11-25  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Removed MultiDiskAdaptor::mkdir() because directory structure is
    	created at AbstractDiskWriter::createFile().
    	* src/MultiDiskAdaptor.cc
    	* src/MultiDiskAdaptor.h

commit 63c84509b9c4db2b4494991a41c6dfce9b5974fe
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-25

    2010-11-25  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Fixed unittest error
    	* test/OptionHandlerTest.cc

commit ea49e9c297ade01cad641f468271e7e0444fe2b3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-25

    2010-11-25  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Made strings which are only used in comparison plain C strings.
    	* src/HttpHeader.cc
    	* src/HttpHeader.h
    	* src/Netrc.cc
    	* src/Netrc.h
    	* test/HttpHeaderTest.cc

commit 3a897a4f32c6e40c6c1107a98620e8bcba91c3ec
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-24
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-24

    2010-11-24  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added white space after ',' when enumerating valid parameters.
    	* src/OptionHandlerImpl.cc

commit 06cd151c4b19cb00b92e6fdbd71346a85d073bff
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-23

    2010-11-23  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Cleaned up Possible Values in usage help.  More than 2 values are
    	delimited by ", ".
    	* src/NameMatchOptionHandler.h
    	* src/OptionHandler.cc
    	* src/OptionHandler.h
    	* src/OptionHandlerFactory.cc
    	* src/OptionHandlerImpl.cc
    	* test/OptionHandlerTest.cc

commit b8055f259b9a44f11f42b1e4ab968774e3656839
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-23

    2010-11-23  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Made --allow-overwrite, --allow-piece-length-change,
    	--realtime-chunk-checksum and --bt-require-crypto take optional
    	argument. Fixed usage doc for --metalink-enable-unique-protocol.
    	* doc/aria2c.1.txt
    	* src/OptionHandlerFactory.cc
    	* src/usage_text.h

commit b2fbe2c896a8588f09b8f0339e215c5fc2bb04a2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-23

    2010-11-23  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Made --continue, --daemon, --no-conf, --no-netrc and --show-files
    	option take optional argument.
    	* doc/aria2c.1.txt
    	* src/OptionHandlerFactory.cc
    	* src/usage_text.h

commit 752234ae66f5f3ad309a491ff7ff57687f9b2c1a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added BtSeederStateChoke::PeerEntry::swap(). Also added
    	non-member swap for it, which is friend function for
    	BtSeederStateChoke because PeerEntry is private.
    	* src/BtSeederStateChoke.cc
    	* src/BtSeederStateChoke.h

commit 8f46dbc0ab4117f7c0fc1987c045bd072ec95221
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added BtLeecherStateChoke::PeerEntry::swap(). Also added
    	non-member swap for it, which is friend function for
    	BtLeecherStateChoke because PeerEntry is private.
    	* src/BtLeecherStateChoke.cc
    	* src/BtLeecherStateChoke.h

commit 4ed364d772cb18522a99e1b79138e0aa3a4ce9bb
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added CookieStorage::DomainEntry::swap(). Also added non-member
    	swap for it.
    	* src/CookieStorage.cc
    	* src/CookieStorage.h

commit c55284250594570c4b6138af87a6abcd31a80dbc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Made LogFactory::logger_ as SharedHandle<Logger> to make dtor of
    	Logger called at the program exit.  Rewritten A2_LOG_* macro and
    	moved them to LogFactory.h
    	* src/LogFactory.cc
    	* src/LogFactory.h
    	* src/Logger.cc
    	* src/Logger.h

commit 9a67929d8ceed4ca49a3e49c7666a55e482aad9d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Renamed cuid as cuid_t in DefaultBtMessageDispatcher.
    	* src/DefaultBtMessageDispatcher.cc
    	* src/DefaultBtMessageDispatcher.h

commit 03417e94b4aba60bf3cd835a1f7387ec18ea62d8
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Use format specifier %lld for cuid_t. Defined cuid_t as long long
    	int instead of int64_t, since g++ complains int64_t is not
    	suitable for %lld.

commit 694fb307aa7e582a55bce7e995bde3a4614b3b4f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Replaced StringFormat with fmt

commit 580098eb4929a3bdbf424af18da361259ef2efe5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-20

    2010-11-20  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Rewritten Logger interface. Logger now writes source file name and
    	line number in log file.

commit 3940da75624b194cdd5036f9fe330fcecc725964
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-18

    2010-11-18  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Made DHTBucketTreeNode non-copyable.
    	* src/DHTBucketTree.h

commit 698876e2eb63404fa3ff94dbab4f86dd25f9ed3d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-18
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-18

    2010-11-18  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Enter 'end game' mode from the beginning when getting torrent
    	metadata for quick data retrieval.
    	* src/HandshakeExtensionMessage.cc

commit 1eef862cc33e6f4fad021a1870c7a8af2fd93b7c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-17

    2010-11-18  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Replaced BNode with DHTBucketTreeNode which is 2 times efficient.
    	* src/BNode.cc: Removed
    	* src/BNode.h: Removed
    	* src/DHTBucketTree.cc
    	* src/DHTBucketTree.h
    	* src/DHTRoutingTable.cc
    	* src/DHTRoutingTable.h
    	* src/Makefile.am
    	* test/BNodeTest.cc: Removed
    	* test/DHTBucketTreeTest.cc
    	* test/Makefile.am

commit 8a1578d7415c7427cf30a28ecb02f8890801364b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-15

    2010-11-15  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added non-member swap() for SharedHandle.
    	* src/SharedHandle.h

commit d8d159ccd86183649771b5b20ef154504540b1ab
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-15

    2010-11-15  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Replaced HttpHeader::responseStatus_ with HttpHeader::statusCode_.
    	statusCode_ is of type int.
    	* src/AbstractProxyResponseCommand.cc
    	* src/FtpNegotiationCommand.cc
    	* src/HttpHeader.cc
    	* src/HttpHeader.h
    	* src/HttpHeaderProcessor.cc
    	* src/HttpResponse.cc
    	* src/HttpResponse.h
    	* src/HttpResponseCommand.cc
    	* src/HttpSkipResponseCommand.cc
    	* src/util.cc
    	* src/util.h
    	* test/HttpHeaderProcessorTest.cc
    	* test/HttpHeaderTest.cc
    	* test/HttpResponseTest.cc
    	* test/UtilTest.cc

commit 6a1fe669751801b55affa0aeaff4646ac2ac6a00
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-15

    2010-11-15  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Use SharedHandle::swap() in some places.
    	* src/RequestGroup.cc

commit de8598b63a9189af11ed65e0dd825909b0454fcd
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-15

    2010-11-15  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added SharedHandle::swap
    	* src/SharedHandle.h

commit e16844cc8f3d42273006de9975d2565a7e13a668
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-14

    2010-11-14  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Use --max-connection-per-server option value for Metalink.
    	* src/Metalink2RequestGroup.cc

commit ba540085a67b5276a6f2bc51a40809d1100919ec
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-14

    2010-11-14  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Fixed compile error on opensolaris
    	* src/util.cc

commit af33f67feee005a6289b38e9c81f20988503471e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-14

    2010-11-14  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Don't catch Exception.
    	* src/RealtimeCommand.cc

commit 1d77c67f1b7cffaa67864df1007e69005e2829de
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-14

    2010-11-14  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Removed unused includes.

commit 1372ac51ade17bc27126449bf29f99c6c2cf7703
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-14
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-14

    2010-11-14  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added .cc file for classes/structs that only provided by header
    	file. Defined non-POD classes' ctor, dtor in .cc file.  Moved
    	implementation code in header file to .cc file for major
    	classes/strucsts.

commit 93e5dbed325f29c1bf867a2847d3b839d545cfb2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-12

    2010-11-12  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Removed SharedHandle::isNull(). Instead we added operator* and
    	operator unspecified_bool_type. Removed use of WeakHandle and
    	replaced with raw pointer.

commit f6f5a7e5eeec4f14418fec5a7be1bbe57a7ea7e1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-11

    2010-11-11  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Fixed memory leak
    	* src/ExpatMetalinkProcessor.cc

commit bc98e39fe5ed30c03ba3af36f46f74e10f03e635
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-11

    2010-11-11  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	To match the behavior of friend operator functions in
    	SharedHandle.h to std::tr1::shared_ptr, we intentionally broke
    	these functions and modified code so that our code does not depend
    	on old behavior.
    	* src/AbstractCommand.cc
    	* src/DHTAbstractNodeLookupTask.h
    	* src/DHTBucket.cc
    	* src/DHTMessageReceiver.cc
    	* src/DHTNodeLookupEntry.cc
    	* src/DHTRoutingTable.cc
    	* src/DefaultBtRequestFactory.cc
    	* src/DefaultPeerStorage.cc
    	* src/DefaultPieceStorage.cc
    	* src/DownloadContext.cc
    	* src/EpollEventPoll.cc
    	* src/Event.h
    	* src/HttpConnection.cc
    	* src/KqueueEventPoll.cc
    	* src/MultiDiskAdaptor.cc
    	* src/PeerAbstractCommand.cc
    	* src/PieceStatMan.cc
    	* src/PollEventPoll.cc
    	* src/PortEventPoll.cc
    	* src/SegmentMan.cc
    	* src/SelectEventPoll.cc
    	* src/SelectEventPoll.h
    	* src/ServerStatMan.cc
    	* src/SharedHandle.h
    	* src/UnknownLengthPieceStorage.cc
    	* src/a2functional.h
    	* src/option_processing.cc
    	* src/version_usage.cc
    	* test/BNodeTest.cc
    	* test/DHTAnnouncePeerMessageTest.cc
    	* test/DHTBucketTest.cc
    	* test/DHTFindNodeMessageTest.cc
    	* test/DHTGetPeersMessageTest.cc
    	* test/DHTIDCloserTest.cc
    	* test/DHTMessageFactoryImplTest.cc
    	* test/DHTPingMessageTest.cc
    	* test/DefaultBtRequestFactoryTest.cc
    	* test/DefaultPeerStorageTest.cc
    	* test/SequentialPickerTest.cc
    	* test/SingletonHolderTest.cc

commit bcf4593bda20504f026e359413f226519cbb8d37
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-11

    2010-11-11  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Create SharedHandle outside of function call to avoid unexpected
    	memory leak.
    	* src/AnnounceList.cc
    	* src/FtpNegotiationCommand.cc
    	* src/HttpResponseCommand.cc
    	* src/RequestGroup.cc
    	* src/RequestGroupMan.cc
    	* src/UTMetadataPostDownloadHandler.cc
    	* src/download_helper.cc

commit e728385bc9b7bdef0c354dc53b7c0fc9f40890ef
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-11

    2010-11-11  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Updated supported hash functions.
    	* README

commit 1946b3341f3a2cb7e55829bc8af56ead2a5a4e6a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-11

    2010-11-11  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Added sha-224, sha-384, sha-512 hash function support.
    	* m4/openssl.m4
    	* src/MessageDigest.cc
    	* src/LibgcryptMessageDigestImpl.cc
    	* src/LibsslMessageDigestImpl.cc

commit 89f997ec0d93345fa3134d1c906bf16246a51fc1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-11

    2010-11-11  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Replaced MessageDigestContext with MessageDigest.  Cleaned up
    	unnecessary functions in MessageDigestHelper.
    	* src/BtPieceMessage.cc
    	* src/Checksum.h
    	* src/DHTTokenTracker.cc
    	* src/DownloadCommand.cc
    	* src/DownloadCommand.h
    	* src/HashFuncEntry.h
    	* src/IteratableChecksumValidator.cc
    	* src/IteratableChecksumValidator.h
    	* src/IteratableChunkChecksumValidator.cc
    	* src/IteratableChunkChecksumValidator.h
    	* src/LibgcryptMessageDigestImpl.cc
    	* src/LibgcryptMessageDigestImpl.h
    	* src/LibsslMessageDigestImpl.cc
    	* src/LibsslMessageDigestImpl.h
    	* src/MSEHandshake.cc
    	* src/MSEHandshake.h
    	* src/Makefile.am
    	* src/MessageDigest.cc
    	* src/MessageDigest.h
    	* src/MessageDigestHelper.cc
    	* src/MessageDigestHelper.h
    	* src/MessageDigestImpl.h
    	* src/MetalinkParserController.cc
    	* src/Piece.cc
    	* src/Piece.h
    	* src/UTMetadataDataExtensionMessage.cc
    	* src/bittorrent_helper.cc
    	* src/messageDigest.cc: Removed
    	* src/messageDigest.h: Removed
    	* src/util.cc
    	* src/version_usage.cc
    	* test/BittorrentHelperTest.cc
    	* test/GZipDecoderTest.cc
    	* test/GZipDecodingStreamFilterTest.cc
    	* test/IteratableChecksumValidatorTest.cc
    	* test/IteratableChunkChecksumValidatorTest.cc
    	* test/Makefile.am
    	* test/MessageDigestHelperTest.cc
    	* test/MessageDigestTest.cc
    	* test/Metalink2RequestGroupTest.cc
    	* test/MetalinkProcessorTest.cc
    	* test/PieceTest.cc
    	* test/TestUtil.cc
    	* test/TestUtil.h
    	* test/UTMetadataDataExtensionMessageTest.cc
    	* test/UTMetadataPostDownloadHandlerTest.cc

commit 513e8a7917a48e891ef1c4e2b005b862b3a06ac7
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-09

    2010-11-10  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Print IP protocol version when setting up XML-RPC server failed.
    	* src/HttpListenCommand.cc

commit f1af13567f057801e77dcef10124cb81b0ec92d6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-09

    2010-11-10  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Retry open(2) and fallocate(2) when they are interrupted by
    	signal.
    	* src/AbstractDiskWriter.cc

commit 228b4c50d757b80efe493728a658ae145eaf67ef
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-09
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-09

    2010-11-09  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Capture errno right after system/library call to avoid it to get
    	overwritten. Use util::safeStrerror instead of strerror directly
    	because strerror might return NULL. We don't check errno for
    	std::fstream anymore.
    	* src/AbstractDiskWriter.cc
    	* src/CookieStorage.cc
    	* src/DHTAutoSaveCommand.cc
    	* src/DHTRoutingTableDeserializer.cc
    	* src/DHTRoutingTableSerializer.cc
    	* src/DefaultBtProgressInfoFile.cc
    	* src/EpollEventPoll.cc
    	* src/IteratableChunkChecksumValidator.cc
    	* src/KqueueEventPoll.cc
    	* src/Logger.cc
    	* src/MessageDigestHelper.cc
    	* src/PortEventPoll.cc
    	* src/SelectEventPoll.cc
    	* src/SocketCore.cc
    	* src/message.h
    	* src/util.cc
    	* src/util.h

commit 02f725cab581063a0570402032f0b328e6f3a8a3
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2010-11-06
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2010-11-06

    2010-11-07  Tatsuhiro Tsujikawa  <t-tujikawa@users.sourceforge.net>
    
    	Use const reference
    	* src/UnionSeedCriteria.h
